Package com.xebialabs.xlrelease.domain.management

# Class CompositeServiceStatus$

java.lang.Object
scala.runtime.AbstractFunction3<String,scala.Enumeration.Value,scala.collection.immutable.List<ServiceStatus>,CompositeServiceStatus>
com.xebialabs.xlrelease.domain.management.CompositeServiceStatus$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<String,scala.Enumeration.Value,scala.collection.immutable.List<ServiceStatus>,CompositeServiceStatus>`

public class CompositeServiceStatus$ extends scala.runtime.AbstractFunction3<String,scala.Enumeration.Value,scala.collection.immutable.List<ServiceStatus>,CompositeServiceStatus> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CompositeServiceStatus$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeServiceStatus$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompositeServiceStatus`
  `apply(String name, scala.Enumeration.Value state, scala.collection.immutable.List<ServiceStatus> childServiceStatus)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<String,scala.Enumeration.Value,scala.collection.immutable.List<ServiceStatus>>>`
  `unapply(CompositeServiceStatus x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final CompositeServiceStatus$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### CompositeServiceStatus$

    public CompositeServiceStatus$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<String,scala.Enumeration.Value,scala.collection.immutable.List<ServiceStatus>,CompositeServiceStatus>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<String,scala.Enumeration.Value,scala.collection.immutable.List<ServiceStatus>,CompositeServiceStatus>`

  - ### apply

    public CompositeServiceStatus apply(String name, scala.Enumeration.Value state, scala.collection.immutable.List<ServiceStatus> childServiceStatus)
    Specified by:
      `apply` in interface `scala.Function3<String,scala.Enumeration.Value,scala.collection.immutable.List<ServiceStatus>,CompositeServiceStatus>`

  - ### unapply

    public scala.Option<scala.Tuple3<String,scala.Enumeration.Value,scala.collection.immutable.List<ServiceStatus>>> unapply(CompositeServiceStatus x$0)